{
  "schema_version": "1.4.0",
  "id": "GHSA-cm79-jwwm-5h7h",
  "modified": "2024-04-04T15:14:21Z",
  "published": "2023-04-18T00:31:59Z",
  "aliases": [
    "CVE-2021-33797"
  ],
  "details": "Buffer-overflow in jsdtoa.c in Artifex MuJS in versions 1.0.1 to 1.1.1. An integer overflow happens when js_strtod() reads in floating point exponent, which leads to a buffer overflow in the pointer *d.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2021-33797"
    },
    {
      "type": "WEB",
      "url": "https://github.com/ccxvii/mujs/issues/148"
    },
    {
      "type": "WEB",
      "url": "https://github.com/ccxvii/mujs/commit/833b6f1672b4f2991a63c4d05318f0b84ef4d550"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119",
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2023-04-17T22:15:07Z"
  }
}